public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/luaossl/
Date: Wed,  2 Dec 2020 23:30:13 +0000 (UTC)	[thread overview]
Message-ID: <1606951801.81d6f8c24d408a080750094d8fc8eac2eeb747d9.conikost@gentoo> (raw)

commit:     81d6f8c24d408a080750094d8fc8eac2eeb747d9
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  2 23:03:41 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Dec  2 23:30:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81d6f8c2

dev-lua/luaossl: bump to version 20200709

Closes: https://bugs.gentoo.org/730024
Closes: https://bugs.gentoo.org/737196
Closes: https://bugs.gentoo.org/738036
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/luaossl/Manifest                |  1 +
 dev-lua/luaossl/luaossl-20200709.ebuild | 67 +++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-lua/luaossl/Manifest b/dev-lua/luaossl/Manifest
index 9849ac7fb15..d0907d437b4 100644
--- a/dev-lua/luaossl/Manifest
+++ b/dev-lua/luaossl/Manifest
@@ -2,3 +2,4 @@ DIST luaossl-20150727.tar.gz 355486 BLAKE2B 81907c3a3f565432eb2d2b17db48f3814968
 DIST luaossl-rel-20180708.tar.gz 455381 BLAKE2B d57e27638e6aee44a94f85094bab9161f0b87bdb379863fdef4517a1cb3415f4ef7e62967ee1e3fa2dde4d5629a24d732dc8ea0fd2ea54ccd84f69c4b18e2c57 SHA512 b2a73a7e7ace9a01c8c5a26603107f7741de88de32c393ed9134b70d55278c81d48e357955e671654825de282449b9570ecdc6a4fbcf4890439c0200ba471338
 DIST luaossl-rel-20181207.tar.gz 472294 BLAKE2B 1dd991cd73a432b7f8918d391bd3cbea98d77d4bd6390815840e3c7f63e98b9bcca6d9a4841da663ba7ecaa19880a4f3db4fce09d47d103cfd85f8d920efe84d SHA512 e5412c115d0dda3b3f2446ffd9a8d9b78be3800e834d7a43ec2cde16e56798fe2467d91add3ab8030321e6bf1a12349ecd5987dd88216ab0d7ba4ff451f0fb91
 DIST luaossl-rel-20190731.tar.gz 350324 BLAKE2B ff80f8ef69472eb0bb908d292f906d4d2be30b6350b04ecc4b4f6414aa6c6d44109a99187d6a89519d60b23ff9259bdda48bf0e51032785abee2002611037033 SHA512 09315deb0c40b59230d80262906cb9f067660242315544179ec5df57a028b088c56a4bb0b944e5975bccf86d521901eae36006c5623ec1159cfca94d05fb6890
+DIST luaossl-rel-20200709.tar.gz 352960 BLAKE2B f4cd53937d7a9c724ab9f2f6a13f1da8fa54216f01fe2af7e65cf7ebdad1f8740491ba1fc6bcc2bf4ac377bde0d2e370433e76a5105c6226e0d9745e12bec0ea SHA512 324175f65e9d292ecb1343cfa9e111f1fd17f15e67037bd705d3db95d32b859c039a6e70620d649f446a8e7043a125a75c64de1714f0fe18e077fb9c017bea34

diff --git a/dev-lua/luaossl/luaossl-20200709.ebuild b/dev-lua/luaossl/luaossl-20200709.ebuild
new file mode 100644
index 00000000000..0de911787f2
--- /dev/null
+++ b/dev-lua/luaossl/luaossl-20200709.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${PN}-rel-${PV}"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe"
+HOMEPAGE="https://github.com/wahern/luaossl"
+SRC_URI="https://github.com/wahern/${PN}/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="examples luajit"
+
+RDEPEND="
+	dev-libs/openssl:0[-bindist]
+	!dev-lua/luacrypto
+	!dev-lua/lua-openssl
+	!dev-lua/luasec
+	luajit? ( dev-lang/luajit:2 )
+	!luajit? ( dev-lang/lua:0 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "doc/." )
+
+src_prepare() {
+	default
+
+	# Remove Lua autodetection
+	# Respect users CFLAGS
+	sed -e '/LUAPATH :=/d' -e '/LUAPATH_FN =/d' -e '/HAVE_API_FN =/d' -e '/WITH_API_FN/d' -e 's/-O2//g' -i GNUmakefile || die
+
+	# Set LUA version
+	LUA_VERSION=$($(tc-getPKG_CONFIG) --variable=$(usex luajit abiver V) $(usex luajit luajit lua))
+}
+
+src_compile() {
+	local myemakeargs=(
+		"CC=$(tc-getCC)"
+		"ALL_CPPFLAGS=${CPPFLAGS} -I$($(tc-getPKG_CONFIG) --variable includedir $(usex luajit 'luajit' 'lua'))"
+		"libdir="
+	)
+
+	emake "${myemakeargs[@]}" openssl${LUA_VERSION}
+}
+
+src_install() {
+	local myemakeargs=(
+		"DESTDIR=${D}"
+		"lua${LUA_VERSION/./}cpath=$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD $(usex luajit 'luajit' 'lua'))"
+		"lua${LUA_VERSION/./}path=$($(tc-getPKG_CONFIG) --variable INSTALL_LMOD $(usex luajit 'luajit' 'lua'))"
+		"prefix=${EPREFIX}/usr"
+	)
+
+	emake "${myemakeargs[@]}" install${LUA_VERSION}
+
+	use examples && dodoc -r "examples/."
+
+	einstalldocs
+}


             reply	other threads:[~2020-12-02 23:30 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-02 23:30 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-05 22:41 [gentoo-commits] repo/gentoo:master commit in: dev-lua/luaossl/ Conrad Kostecki
2022-07-11 23:12 Conrad Kostecki
2022-07-11 23:12 Conrad Kostecki
2022-07-11 23:10 Conrad Kostecki
2022-07-11 23:10 Conrad Kostecki
2021-04-21 20:29 Conrad Kostecki
2021-04-20 21:20 Sergei Trofimovich
2021-04-19 18:32 Sergei Trofimovich
2021-02-21 21:22 Conrad Kostecki
2021-01-27 19:48 Conrad Kostecki
2020-12-04 11:32 Conrad Kostecki
2020-12-02 23:30 Conrad Kostecki
2019-10-22 15:50 William Hubbs
2019-01-03  0:44 Jason A. Donenfeld
2018-10-01  7:24 Georgy Yakovlev
2018-09-28 10:14 Michał Górny
2018-04-08 19:59 Jonas Stein
2016-02-08  9:58 Patrice Clement
2016-02-08  9:19 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1606951801.81d6f8c24d408a080750094d8fc8eac2eeb747d9.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox